Daniel Niemeyer

Subtitle

Home

Post Reply
Forum Home > Updates > What should be in version 2.0?

Daniel Niemeyer
Site Owner
Posts: 110

Tell me what must go for version 1.2

January 30, 2010 at 8:10 PM Flag Quote & Reply

Jampiglio
Member
Posts: 2

Hi! I liked To Do's version 1 but, please, listen to my advice: when you write a new version of a software, the worst thing you can do - for the user's point of view - is making the new version INCOMPATIBLE with the previous one.

I downloaded version 1, I tried and I liked. One week after, version 1 crashed and version 2 is born. But every item in the version 1? Is lost! Hmmm... please: from programmer to programmer: newer versions MUST ever be compatible with the older ones, and all the data inserted in the previous HAVE TO be re-loaded into the newest ones.

I repeat, please, it's an advice for the success of you future Apps: nobody will download twice an Apps that lose the previous' version data!

Thank you a lot, and... good luck ! :-)

 

March 8, 2010 at 4:57 PM Flag Quote & Reply

Daniel Niemeyer
Site Owner
Posts: 110

Thanks for the suggestion, Core Data is the main problem, it is a new api and it is still in a probation perriod, therefore they are still optimizing the migration feature...

 

Thanks again for posting,

 

daniel

March 11, 2010 at 8:39 AM Flag Quote & Reply

Daniel Niemeyer
Site Owner
Posts: 110

Thanks for the suggestion, what type of action would you like to be implemented?

March 18, 2010 at 3:58 PM Flag Quote & Reply

You must login to post.